icetGetError(3)

NAME
icetGetError -- return the last error condition.

Synopsis

#include <IceT.h>

GLenum icetGetError( | void | );

Description

Retrieves the first error or warning condition that occurred since the last call to icetGetError or since program startup, whichever happened last.

Once an error condition has been retrieved with icetGetError, the error condition is reset to no error and cannot be retrieved again.

Return Value

One of the following flags will be returned:

ICET_INVALID_VALUE
     An inappropriate value has been passed to a function.

ICET_INVALID_OPERATION
     An inappropriate function has been called.

ICET_OUT_OF_MEMORY
     IceT has ran out of memory for buffer space.

ICET_BAD_CAST
     A function has been passed a value of the wrong type.

ICET_INVALID_ENUM
     A function has been passed an invalid constant.

ICET_SANITY_CHECK_FAIL
     An internal error (or warning) has occurred.

ICET_NO_ERROR
     No error has been raised since the last call to icetGetError.

Bugs

It is not possible to tell if the returned value was caused by an error or a warning.

Notes

The error value is not context dependent.

Copyright
Copyright (C)2003 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetDiagnostics(3)